aboutsummaryrefslogtreecommitdiff
path: root/check/bin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/bin.sh')
-rw-r--r--check/bin.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/check/bin.sh b/check/bin.sh
index 04b0da6b..87bea709 100644
--- a/check/bin.sh
+++ b/check/bin.sh
@@ -1,4 +1,4 @@
for bin in bin/*.sh ; do
- sh -n "$bin" || exit
+ sh -n -- "${bin%.sh}" || exit
done
printf 'All shell scripts in bin parsed successfully.\n'